---
title: RTCTrackEventInit.transceiver
slug: Web/API/RTCTrackEventInit/transceiver
tags:
  - API
  - Media
  - RTCTrackEventInit
  - RTP
  - Reference
  - Transceiver
  - WebRTC
  - WebRTC API
  - events
---
<div>{{APIRef("WebAPI")}}</div>

<p><span class="seoSummary">The {{domxref("RTCTrackEventInit")}} dictionary's <strong><code>transceiver</code></strong> property specifies the {{domxref("RTCRtpTransceiver")}} associated with the {{event("track")}} event.</span> The transceiver pairs the track's {{domxref("RTCTrackEvent.receiver", "receiver")}} with an {{domxref("RTCRtpSender")}} to allow bidirectional communication.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackEventInit</em> = {
  receiver: <em>rtpReceiver</em>,
  track: <em>mediaStreamTrack</em>,
  streams: [<em>videoStream</em>],
  transceiver: <em>rtpTransceiver</em>
};

var <em>rtpTransceiver</em> = <em>trackEventInit</em>.transceiver;</pre>

<h3 id="Value">Value</h3>

<p>{{page("/en-US/docs/Web/API/RTCTrackEvent/transceiver", "Value")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackeventinit-transceiver', 'RTCTrackEventInit.transceiver')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEventInit.transceiver")}}</p>
